# Deprecated API

## Contents

- Fields
- Methods

Deprecated Fields
Field
Description
org.zeromq.ZMQ.DOWNSTREAM
org.zeromq.ZMQ.UPSTREAM
org.zeromq.ZMQ.XREP
As of release 3.0 of zeromq, replaced by `ZMQ.ROUTER`
org.zeromq.ZMQ.XREQ
As of release 3.0 of zeromq, replaced by `ZMQ.DEALER`

Deprecated Methods
Method
Description
org.zeromq.ZMQ.Context.poller()
use Poller constructor
org.zeromq.ZMQ.Context.poller(int)
use Poller constructor
org.zeromq.ZMQ.Poller.getTimeout()
Timeout handling has been moved to the poll() methods.
org.zeromq.ZMQ.Poller.setTimeout(long)
Timeout handling has been moved to the poll() methods.
org.zeromq.ZMQ.Socket.recvStr()
use `ZMQ.Socket.recvStr(Charset)` instead.
org.zeromq.ZMQ.Socket.recvStr(int)
use `ZMQ.Socket.recvStr(int, Charset)` instead.